{                                                                             }
{       EGA Graphic Primitive for Turbo Pascal 3.01A, Version 01FEB86.        }
{       (C) 1986 by Kent Cedola, 2015 Meadow Lake Ct., Norfolk, VA, 23518     }
{                                                                             }
{       The algorithm for drawing a circle (below) was from an article in     }
{       Dr. Dobb's Journal, December 1983, pp. 19 by Michael T. Enright.      }
{                                                                             }
{       I converting the BASIC sample to Turbo Pascal and then to assembler   }
{       for top speed.  This routine will draw a solid color and perform      }
{       clipping for the current viewport.                                    }
{                                                                             }

procedure GPCIR(Radius: Integer);
begin
  inline
    ($83/$EC/$42 /$C7/$06/GDC_FLG/>$02 /$8B/$46/$04 /$0B/$C0 /$75/$01 /$40
      /$8B/$D8 /$A1/GDCUR_X /$2B/$C3 /$3B/$06/GDVW_X2 /$76/$03 /$E9/$02DC
      /$03/$C3 /$03/$C3 /$3B/$06/GDVW_X1 /$73/$03 /$E9/$02CF /$8B/$C3
      /$F7/$26/GDASPC1 /$F7/$36/GDASPC2 /$8B/$D0 /$8B/$0E/GDCUR_Y /$2B/$C8
      /$3B/$0E/GDVW_Y2 /$76/$03 /$E9/$02B4 /$89/$4E/$C2 /$03/$C8 /$03/$C8
      /$3B/$0E/GDVW_Y1 /$73/$03 /$E9/$02A4 /$89/$4E/$C0 /$C7/$06/GDC_FLG/>$00
      /$D1/$E0 /$D1/$E0 /$03/$C2 /$8B/$F0 /$A1/GDCUR_Y /$D1/$E0 /$D1/$E0
      /$03/$06/GDCUR_Y /$05/$A000 /$2B/$C6 /$89/$46/$F6 /$03/$C6 /$03/$C6
      /$89/$46/$F4 /$8B/$36/GDCUR_X /$89/$76/$C6 /$89/$76/$C4 /$8B/$CE /$D1/$EE
      /$D1/$EE /$D1/$EE /$B0/$80 /$80/$E1/$07 /$D2/$C8 /$88/$46/$FE
      /$89/$76/$FC /$88/$46/$FA /$89/$76/$F8 /$8B/$CA /$8B/$C2 /$F7/$E2
      /$89/$46/$F2 /$89/$56/$F0 /$D1/$E0 /$D1/$D2 /$89/$46/$EA /$89/$56/$E8
      /$8B/$C3 /$F7/$E3 /$52 /$50 /$D1/$E0 /$D1/$D2 /$89/$46/$E6 /$89/$56/$E4
      /$58 /$D1/$E1 /$49 /$F7/$E1 /$89/$46/$EE /$89/$56/$EC /$58 /$F7/$E1
      /$01/$46/$EC /$33/$C0 /$89/$46/$D6 /$89/$46/$D4 /$BA/$03CE
      /$8A/$26/GDMERGE /$B0/$03 /$EF /$B8/$0205 /$EF /$B0/$08 /$EE /$E8/$0160
      /$B9/$FFFF /$8B/$46/$D6 /$8B/$56/$D4 /$03/$46/$F2 /$13/$56/$F0
      /$89/$46/$E2 /$89/$56/$E0 /$79/$08 /$33/$C1 /$33/$D1 /$40 /$73/$01 /$42
      /$89/$46/$D2 /$89/$56/$D0 /$8B/$46/$D6 /$8B/$56/$D4 /$2B/$46/$EE
      /$1B/$56/$EC /$89/$46/$DE /$89/$56/$DC /$79/$08 /$33/$C1 /$33/$D1 /$40
      /$73/$01 /$42 /$89/$46/$CE /$89/$56/$CC /$8B/$46/$E2 /$8B/$56/$E0
      /$2B/$46/$EE /$1B/$56/$EC /$89/$46/$DA /$89/$56/$D8 /$79/$08 /$33/$C1
      /$33/$D1 /$40 /$73/$01 /$42 /$89/$46/$CA /$89/$56/$C8 /$8B/$46/$D2
      /$8B/$56/$D0 /$3B/$56/$CC /$77/$42 /$72/$05 /$3B/$46/$CE /$73/$3B
      /$3B/$56/$C8 /$77/$36 /$72/$05 /$3B/$46/$CA /$73/$2F /$D0/$46/$FE
      /$83/$5E/$FC/$00 /$FF/$4E/$C6 /$D0/$4E/$FA /$83/$56/$F8/$00 /$FF/$46/$C4
      /$8B/$46/$E2 /$8B/$56/$E0 /$89/$46/$D6 /$89/$56/$D4 /$8B/$46/$EA
      /$8B/$56/$E8 /$01/$46/$F2 /$11/$56/$F0 /$E9/>$8D /$8B/$46/$CE
      /$8B/$56/$CC /$3B/$56/$D0 /$77/$3C /$72/$05 /$3B/$46/$D2 /$73/$35
      /$3B/$56/$C8 /$77/$30 /$72/$05 /$3B/$46/$CA /$73/$29 /$83/$46/$F6/$05
      /$FF/$46/$C2 /$83/$6E/$F4/$05 /$FF/$4E/$C0 /$8B/$46/$DE /$8B/$56/$DC
      /$89/$46/$D6 /$89/$56/$D4 /$8B/$46/$E6 /$8B/$56/$E4 /$29/$46/$EE
      /$19/$56/$EC /$EB/$47/$90 /$D0/$46/$FE /$83/$5E/$FC/$00 /$FF/$4E/$C6
      /$D0/$4E/$FA /$83/$56/$F8/$00 /$FF/$46/$C4 /$83/$46/$F6/$05 /$FF/$46/$C2
      /$83/$6E/$F4/$05 /$FF/$4E/$C0 /$8B/$46/$DA /$8B/$56/$D8 /$89/$46/$D6
      /$89/$56/$D4 /$8B/$46/$EA /$8B/$56/$E8 /$01/$46/$F2 /$11/$56/$F0
      /$8B/$46/$E6 /$8B/$56/$E4 /$29/$46/$EE /$19/$56/$EC /$E8/>$1A
      /$8B/$46/$F6 /$3B/$46/$F4 /$74/$03 /$E9/$FEAF /$B0/$FF /$EE /$4A
      /$B8/>$05 /$EF /$B8/>$03 /$EF /$E9/>$A0 /$8A/$26/GDCOLOR /$BA/$03CF
      /$8B/$5E/$C6 /$3B/$1E/GDVW_X1 /$73/$08 /$C7/$06/GDC_FLG/>$01 /$EB/$3B
      /$8A/$46/$FE /$EE /$8B/$76/$FC /$8B/$5E/$C2 /$3B/$1E/GDVW_Y1 /$73/$08
      /$C7/$06/GDC_FLG/>$01 /$EB/$09 /$8E/$46/$F6 /$26/$8A/$04 /$26/$88/$24
      /$8B/$5E/$C0 /$3B/$1E/GDVW_Y2 /$76/$08 /$C7/$06/GDC_FLG/>$01 /$EB/$09
      /$8E/$46/$F4 /$26/$8A/$04 /$26/$88/$24 /$8B/$5E/$C4 /$3B/$1E/GDVW_X2
      /$76/$08 /$C7/$06/GDC_FLG/>$01 /$EB/$3B /$8A/$46/$FA /$EE /$8B/$76/$F8
      /$8B/$5E/$C2 /$3B/$1E/GDVW_Y1 /$73/$08 /$C7/$06/GDC_FLG/>$01 /$EB/$09
      /$8E/$46/$F6 /$26/$8A/$04 /$26/$88/$24 /$8B/$5E/$C0 /$3B/$1E/GDVW_Y2
      /$76/$08 /$C7/$06/GDC_FLG/>$01 /$EB/$09 /$8E/$46/$F4 /$26/$8A/$04
      /$26/$88/$24 /$C3 /$8B/$E5);
end;
