{                                                                             }
{       EGA Graphic Primitive for Turbo Pascal 3.01A, Version 01FEB86.        }
{       (C) 1986 by Kent Cedola, 2015 Meadow Lake Ct., Norfolk, VA, 23518     }
{                                                                             }
{       Description: Draw a line on the ECD in 640x350 mode, use GPMERGE to   }
{       control the combining of bits, use GPCOLOR or GPSTYLE to control the  }
{       pattern of colors used in drawing the line.  The line is always       }
{       clipped for the current viewport                                      }
{                                                                             }

procedure GPLINE(X1,Y1: Integer);
begin
  inline
    ($55/$8B/$0E/GDCUR_X /$8B/$1E/GDCUR_Y /$8B/$76/$06 /$8B/$7E/$04
      /$89/$36/GDCUR_X /$89/$3E/GDCUR_Y /$C7/$06/GDC_FLG/>$00 /$33/$C0
      /$3B/$1E/GDVW_Y1 /$7D/$03 /$80/$CC/$08 /$3B/$1E/GDVW_Y2 /$7E/$03
      /$80/$CC/$04 /$3B/$0E/GDVW_X1 /$7D/$03 /$80/$CC/$02 /$3B/$0E/GDVW_X2
      /$7E/$03 /$80/$CC/$01 /$3B/$3E/GDVW_Y1 /$7D/$02 /$0C/$08 /$3B/$3E/GDVW_Y2
      /$7E/$02 /$0C/$04 /$3B/$36/GDVW_X1 /$7D/$02 /$0C/$02 /$3B/$36/GDVW_X2
      /$7E/$02 /$0C/$01 /$0B/$C0 /$75/$03 /$E9/>$99 /$C7/$06/GDC_FLG/>$01
      /$84/$E0 /$74/$09 /$C7/$06/GDC_FLG/>$02 /$E9/$0270 /$0A/$C0 /$75/$06
      /$87/$CE /$87/$DF /$86/$E0 /$A8/$02 /$75/$24 /$A8/$04 /$75/$3C /$A8/$08
      /$75/$54 /$8B/$EF /$2B/$EB /$A1/GDVW_X2 /$2B/$C1 /$F7/$ED /$8B/$EE
      /$2B/$E9 /$F7/$FD /$03/$C3 /$8B/$36/GDVW_X2 /$8B/$F8 /$E9/$FF6E /$8B/$EF
      /$2B/$EB /$A1/GDVW_X1 /$2B/$C1 /$F7/$ED /$8B/$EE /$2B/$E9 /$F7/$FD
      /$03/$C3 /$8B/$36/GDVW_X1 /$8B/$F8 /$E9/$FF52 /$8B/$EE /$2B/$E9
      /$A1/GDVW_Y2 /$2B/$C3 /$F7/$ED /$8B/$EF /$2B/$EB /$F7/$FD /$03/$C1
      /$8B/$F0 /$8B/$3E/GDVW_Y2 /$E9/$FF36 /$8B/$EE /$2B/$E9 /$A1/GDVW_Y1
      /$2B/$C3 /$F7/$ED /$8B/$EF /$2B/$EB /$F7/$FD /$03/$C1 /$8B/$F0
      /$8B/$3E/GDVW_Y1 /$E9/$FF1A /$BA/$03CE /$8A/$26/GDMERGE /$B0/$03 /$EF
      /$B8/$0205 /$EF /$8B/$D6 /$3B/$D1 /$73/$04 /$87/$CA /$87/$DF /$2B/$D1
      /$2B/$FB /$8B/$F3 /$D1/$E6 /$D1/$E6 /$03/$F3 /$D1/$E6 /$D1/$E6 /$D1/$E6
      /$D1/$E6 /$8B/$D9 /$D1/$EB /$D1/$EB /$D1/$EB /$03/$DE /$8B/$F2 /$BA/$03CE
      /$B0/$08 /$EE /$42 /$80/$E1/$07 /$B0/$80 /$D2/$C8 /$83/$3E/GDS_FLG/$00
      /$75/$03 /$E9/>$BE /$56 /$C4/$36/GDSTYLE /$26/$80/$3C/$01 /$75/$08
      /$26/$8A/$64/$01 /$5E /$E9/>$AB /$5E /$89/$76/$04 /$89/$7E/$06 /$0B/$FF
      /$79/$0C /$F7/$DF /$3B/$FE /$77/$03 /$EB/$73/$90 /$EB/$4D/$90 /$3B/$FE
      /$77/$25 /$8B/$CE /$8B/$FE /$D1/$EF /$F7/$DF /$C4/$36/GDSTYLE
      /$26/$8A/$24 /$46 /$E8/$0125 /$D0/$C8 /$83/$D3/$00 /$03/$7E/$06 /$78/$F3
      /$83/$C3/$50 /$2B/$7E/$04 /$EB/$EB /$8B/$CF /$D1/$EF /$F7/$DF
      /$C4/$36/GDSTYLE /$26/$8A/$24 /$46 /$E8/$0102 /$83/$C3/$50 /$03/$7E/$04
      /$78/$F5 /$D0/$C8 /$83/$D3/$00 /$2B/$7E/$06 /$EB/$EB /$8B/$CF /$D1/$EF
      /$F7/$DF /$C4/$36/GDSTYLE /$26/$8A/$24 /$46 /$E8/>$DF /$83/$EB/$50
      /$03/$7E/$04 /$78/$F5 /$D0/$C8 /$83/$D3/$00 /$03/$7E/$06 /$EB/$EB
      /$8B/$CE /$8B/$FE /$D1/$EF /$F7/$DF /$C4/$36/GDSTYLE /$26/$8A/$24 /$46
      /$E8/>$BA /$D0/$C8 /$83/$D3/$00 /$2B/$7E/$06 /$78/$F3 /$83/$EB/$50
      /$2B/$7E/$04 /$EB/$EB /$8A/$26/GDCOLOR /$55 /$8E/$06/GDGSEG /$0B/$FF
      /$79/$08 /$F7/$DF /$3B/$FE /$77/$4C /$EB/$6D /$3B/$FE /$77/$23 /$8B/$CE
      /$8B/$EE /$D1/$ED /$F7/$DD /$EE /$26/$80/$3F/$00 /$26/$88/$27 /$49
      /$78/$79 /$D0/$C8 /$83/$D3/$00 /$03/$EF /$78/$EC /$83/$C3/$50 /$2B/$EE
      /$EB/$E5 /$8B/$CF /$8B/$EF /$D1/$ED /$F7/$DD /$EE /$26/$80/$3F/$00
      /$26/$88/$27 /$49 /$78/$56 /$83/$C3/$50 /$03/$EE /$78/$EE /$D0/$C8
      /$83/$D3/$00 /$2B/$EF /$EB/$E5 /$8B/$CF /$8B/$EF /$D1/$ED /$F7/$DD /$EE
      /$26/$80/$3F/$00 /$26/$88/$27 /$49 /$78/$33 /$83/$EB/$50 /$03/$EE
      /$78/$EE /$D0/$C8 /$83/$D3/$00 /$2B/$EF /$EB/$E5 /$8B/$CE /$8B/$EE
      /$D1/$ED /$F7/$DD /$EE /$26/$80/$3F/$00 /$26/$88/$27 /$49 /$78/$10
      /$D0/$C8 /$83/$D3/$00 /$03/$EF /$78/$EC /$83/$EB/$50 /$2B/$EE /$EB/$E5
      /$5D /$EB/$25 /$EE /$50 /$26/$8A/$04 /$8E/$06/GDGSEG /$26/$8A/$27
      /$26/$88/$07 /$8E/$06/GDSTYLE+2 /$58 /$FE/$CC /$75/$07 /$8B/$36/GDSTYLE
      /$26/$8A/$24 /$46 /$49 /$78/$01 /$C3 /$58 /$BA/$03CE /$B8/>$03 /$EF
      /$B8/>$05 /$EF /$B8/$FF08 /$EF/$5D);
end;
